#!/bin/bash

# farbe: #ddddddff
# replace #dddddd with color

mkdir -p export
mkdir -p pdf
mkdir -p pdfo

rm export/*.svg
rm pdf/*.svg
rm pdfo/*.svg

while read p; do
	colorname=$(echo $p | cut -f 1 -d ' ')
	color=$(echo $p | cut -f 2 -d ' ')
	while read p; do
		if [[ "$p" =~ \#.* ]];
		then
			echo $p
		else
			name=$(echo $p | cut -f 1 -d ' ')
			value=$(echo $p | cut -f 2 -d ' ')
			opt=$(echo $p | cut -f 3 -d ' ')
			if [ ! -z "$name" ];
			then
				file=export/$name-$colorname.svg
				cp Karte.svg $file
				sed -i 's/#dddddd/'$color'/' $file
				sed -i 's/>13</>'$value'</' $file
				sed -i 's/>XL</>'$opt'</' $file
        			echo "processing " $p " with value= " $value " and opt= " $opt
				rsvg-convert -f pdf -o pdf/$name-$colorname.pdf $file
			fi
		fi
	done < values.txt
done < colors.txt
while read p; do
	if [[ "$p" =~ \#.* ]];
	then
		echo $p
	else
		name=$(echo $p | cut -f 1 -d ' ')
		value=$(echo $p | cut -f 2 -d ' ')
		pdfjam pdf/$name-rot.pdf pdf/$name-gruen.pdf pdf/$name-blau.pdf pdf/$name-gelb.pdf --nup 2x2 --landscape --outfile pdfo/$name.pdf
	fi
done < values.txt

# Karten in PDF exportieren
rsvg-convert -f pdf -o pdf/1Karte-mc.pdf Karte-mc.svg
rsvg-convert -f pdf -o pdf/1Karte-mc+4.pdf Karte-mc+4.svg
rsvg-convert -f pdf -o pdf/2Karte-mc.pdf Karte-mc.svg
rsvg-convert -f pdf -o pdf/2Karte-mc+4.pdf Karte-mc+4.svg
rsvg-convert -f pdf -o pdf/3Karte-mc.pdf Karte-mc.svg
rsvg-convert -f pdf -o pdf/3Karte-mc+4.pdf Karte-mc+4.svg
rsvg-convert -f pdf -o pdf/4Karte-mc.pdf Karte-mc.svg
rsvg-convert -f pdf -o pdf/4Karte-mc+4.pdf Karte-mc+4.svg
pdfunite pdf/*.pdf cards.pdf

# Karten für lokalen Druck zusammenfügen
pdfjam pdf/1Karte-mc.pdf pdf/1Karte-mc.pdf pdf/1Karte-mc.pdf pdf/1Karte-mc.pdf --nup 2x2 --landscape --outfile pdfo/mc.pdf
pdfjam pdf/1Karte-mc+4.pdf pdf/1Karte-mc+4.pdf pdf/1Karte-mc+4.pdf pdf/1Karte-mc+4.pdf --nup 2x2 --landscape --outfile pdfo/mc+4.pdf
pdfunite pdfo/*.pdf cards-o.pdf
